| All Verbs | /RestApi/sitefinity/inlineediting/workflow |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
public class dtos
{
public static class WorkflowOperationMessage
{
public String PageId = null;
public InlineEditingOperation WorkflowOperation = null;
public String CustomWorkflowOperation = null;
public ArrayList<ItemContextModel> Items = null;
public String getPageId() { return PageId; }
public WorkflowOperationMessage setPageId(String value) { this.PageId = value; return this; }
public InlineEditingOperation getWorkflowOperation() { return WorkflowOperation; }
public WorkflowOperationMessage setWorkflowOperation(InlineEditingOperation value) { this.WorkflowOperation = value; return this; }
public String getCustomWorkflowOperation() { return CustomWorkflowOperation; }
public WorkflowOperationMessage setCustomWorkflowOperation(String value) { this.CustomWorkflowOperation = value; return this; }
public ArrayList<ItemContextModel> getItems() { return Items; }
public WorkflowOperationMessage setItems(ArrayList<ItemContextModel> value) { this.Items = value; return this; }
}
public static enum InlineEditingOperation
{
Publish,
SaveAsDraft,
Custom;
}
public static class ItemContextModel
{
public String ItemId = null;
public String ItemType = null;
public String Provider = null;
public ArrayList<FieldValueModel> FieldValues = null;
public String getItemId() { return ItemId; }
public ItemContextModel setItemId(String value) { this.ItemId = value; return this; }
public String getItemType() { return ItemType; }
public ItemContextModel setItemType(String value) { this.ItemType = value; return this; }
public String getProvider() { return Provider; }
public ItemContextModel setProvider(String value) { this.Provider = value; return this; }
public ArrayList<FieldValueModel> getFieldValues() { return FieldValues; }
public ItemContextModel setFieldValues(ArrayList<FieldValueModel> value) { this.FieldValues = value; return this; }
}
public static class FieldValueModel
{
public String Name = null;
public Object Value = null;
public ArrayList<FieldValueModel> ComplexValue = null;
public String getName() { return Name; }
public FieldValueModel setName(String value) { this.Name = value; return this; }
public Object getValue() { return Value; }
public FieldValueModel setValue(Object value) { this.Value = value; return this; }
public ArrayList<FieldValueModel> getComplexValue() { return ComplexValue; }
public FieldValueModel setComplexValue(ArrayList<FieldValueModel> value) { this.ComplexValue = value; return this; }
}
}
Java WorkflowOperationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<WorkflowOperationMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing.Messages">
<CustomWorkflowOperation>String</CustomWorkflowOperation>
<Items xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing">
<d2p1:ItemContextModel>
<d2p1:FieldValues>
<d2p1:FieldValueModel>
<d2p1:ComplexValue>
<d2p1:FieldValueModel>
<d2p1:ComplexValue>
<d2p1:FieldValueModel>
<d2p1:ComplexValue i:nil="true" />
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:ComplexValue>
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:ComplexValue>
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:FieldValues>
<d2p1:ItemId>String</d2p1:ItemId>
<d2p1:ItemType>String</d2p1:ItemType>
<d2p1:Provider>String</d2p1:Provider>
</d2p1:ItemContextModel>
</Items>
<PageId>String</PageId>
<WorkflowOperation>Publish</WorkflowOperation>
</WorkflowOperationMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfBaseWorkflowOperationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing">
<BaseWorkflowOperationModel>
<DetailsViewUrl>String</DetailsViewUrl>
<ItemId>00000000-0000-0000-0000-000000000000</ItemId>
<ItemName>String</ItemName>
<ItemStatus>
<DisplayStatus>String</DisplayStatus>
<IsAdmin>false</IsAdmin>
<IsEditable>false</IsEditable>
<IsLocked>false</IsLocked>
<IsLockedByMe>false</IsLockedByMe>
<IsPublished>false</IsPublished>
<IsStatusEditable>false</IsStatusEditable>
<LockedByUsername>String</LockedByUsername>
<WorkflowStatus>String</WorkflowStatus>
</ItemStatus>
<ItemType>String</ItemType>
<ProviderName>String</ProviderName>
</BaseWorkflowOperationModel>
</ArrayOfBaseWorkflowOperationModel>